/*
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package swagger

import (
	"fmt"
	"net/http"
	"strings"

	"github.com/gorilla/mux"
)

type Route struct {
	Name        string
	Method      string
	Pattern     string
	HandlerFunc http.HandlerFunc
}

type Routes []Route

func NewRouter() *mux.Router {
	router := mux.NewRouter().StrictSlash(true)
	for _, route := range routes {
		var handler http.Handler
		handler = route.HandlerFunc
		handler = Logger(handler, route.Name)

		router.
			Methods(route.Method).
			Path(route.Pattern).
			Name(route.Name).
			Handler(handler)
	}

	return router
}

func Index(w http.ResponseWriter, r *http.Request) {
	fmt.Fprintf(w, "Hello World!")
}

var routes = Routes{
	Route{
		"Index",
		"GET",
		"/v2/",
		Index,
	},

	Route{
		"AccountArticleReport",
		strings.ToUpper("Get"),
		"/v2/account/articles/export",
		AccountArticleReport,
	},

	Route{
		"AccountArticleReportGenerate",
		strings.ToUpper("Post"),
		"/v2/account/articles/export",
		AccountArticleReportGenerate,
	},

	Route{
		"ArticleDetails",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}",
		ArticleDetails,
	},

	Route{
		"ArticleFileDetails",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/files/{file_id}",
		ArticleFileDetails,
	},

	Route{
		"ArticleFiles",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/files",
		ArticleFiles,
	},

	Route{
		"ArticleVersionConfidentiality",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/versions/{v_number}/confidentiality",
		ArticleVersionConfidentiality,
	},

	Route{
		"ArticleVersionDetails",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/versions/{v_number}",
		ArticleVersionDetails,
	},

	Route{
		"ArticleVersionEmbargo",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/versions/{v_number}/embargo",
		ArticleVersionEmbargo,
	},

	Route{
		"ArticleVersionUpdate",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/versions/{version_id}/",
		ArticleVersionUpdate,
	},

	Route{
		"ArticleVersionUpdateThumb",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/versions/{version_id}/update_thumb",
		ArticleVersionUpdateThumb,
	},

	Route{
		"ArticleVersions",
		strings.ToUpper("Get"),
		"/v2/articles/{article_id}/versions",
		ArticleVersions,
	},

	Route{
		"ArticlesList",
		strings.ToUpper("Get"),
		"/v2/articles",
		ArticlesList,
	},

	Route{
		"ArticlesSearch",
		strings.ToUpper("Post"),
		"/v2/articles/search",
		ArticlesSearch,
	},

	Route{
		"PrivateArticleAuthorDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/authors/{author_id}",
		PrivateArticleAuthorDelete,
	},

	Route{
		"PrivateArticleAuthorsAdd",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/authors",
		PrivateArticleAuthorsAdd,
	},

	Route{
		"PrivateArticleAuthorsList",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/authors",
		PrivateArticleAuthorsList,
	},

	Route{
		"PrivateArticleAuthorsReplace",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/authors",
		PrivateArticleAuthorsReplace,
	},

	Route{
		"PrivateArticleCategoriesAdd",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/categories",
		PrivateArticleCategoriesAdd,
	},

	Route{
		"PrivateArticleCategoriesList",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/categories",
		PrivateArticleCategoriesList,
	},

	Route{
		"PrivateArticleCategoriesReplace",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/categories",
		PrivateArticleCategoriesReplace,
	},

	Route{
		"PrivateArticleCategoryDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/categories/{category_id}",
		PrivateArticleCategoryDelete,
	},

	Route{
		"PrivateArticleConfidentialityDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/confidentiality",
		PrivateArticleConfidentialityDelete,
	},

	Route{
		"PrivateArticleConfidentialityDetails",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/confidentiality",
		PrivateArticleConfidentialityDetails,
	},

	Route{
		"PrivateArticleConfidentialityUpdate",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/confidentiality",
		PrivateArticleConfidentialityUpdate,
	},

	Route{
		"PrivateArticleCreate",
		strings.ToUpper("Post"),
		"/v2/account/articles",
		PrivateArticleCreate,
	},

	Route{
		"PrivateArticleDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}",
		PrivateArticleDelete,
	},

	Route{
		"PrivateArticleDetails",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}",
		PrivateArticleDetails,
	},

	Route{
		"PrivateArticleEmbargoDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/embargo",
		PrivateArticleEmbargoDelete,
	},

	Route{
		"PrivateArticleEmbargoDetails",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/embargo",
		PrivateArticleEmbargoDetails,
	},

	Route{
		"PrivateArticleEmbargoUpdate",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/embargo",
		PrivateArticleEmbargoUpdate,
	},

	Route{
		"PrivateArticleFile",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/files/{file_id}",
		PrivateArticleFile,
	},

	Route{
		"PrivateArticleFileDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/files/{file_id}",
		PrivateArticleFileDelete,
	},

	Route{
		"PrivateArticleFilesList",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/files",
		PrivateArticleFilesList,
	},

	Route{
		"PrivateArticlePrivateLink",
		strings.ToUpper("Get"),
		"/v2/account/articles/{article_id}/private_links",
		PrivateArticlePrivateLink,
	},

	Route{
		"PrivateArticlePrivateLinkCreate",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/private_links",
		PrivateArticlePrivateLinkCreate,
	},

	Route{
		"PrivateArticlePrivateLinkDelete",
		strings.ToUpper("Delete"),
		"/v2/account/articles/{article_id}/private_links/{link_id}",
		PrivateArticlePrivateLinkDelete,
	},

	Route{
		"PrivateArticlePrivateLinkUpdate",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}/private_links/{link_id}",
		PrivateArticlePrivateLinkUpdate,
	},

	Route{
		"PrivateArticlePublish",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/publish",
		PrivateArticlePublish,
	},

	Route{
		"PrivateArticleReserveDoi",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/reserve_doi",
		PrivateArticleReserveDoi,
	},

	Route{
		"PrivateArticleReserveHandle",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/reserve_handle",
		PrivateArticleReserveHandle,
	},

	Route{
		"PrivateArticleResource",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/resource",
		PrivateArticleResource,
	},

	Route{
		"PrivateArticleUpdate",
		strings.ToUpper("Put"),
		"/v2/account/articles/{article_id}",
		PrivateArticleUpdate,
	},

	Route{
		"PrivateArticleUploadComplete",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/files/{file_id}",
		PrivateArticleUploadComplete,
	},

	Route{
		"PrivateArticleUploadInitiate",
		strings.ToUpper("Post"),
		"/v2/account/articles/{article_id}/files",
		PrivateArticleUploadInitiate,
	},

	Route{
		"PrivateArticlesList",
		strings.ToUpper("Get"),
		"/v2/account/articles",
		PrivateArticlesList,
	},

	Route{
		"PrivateArticlesSearch",
		strings.ToUpper("Post"),
		"/v2/account/articles/search",
		PrivateArticlesSearch,
	},

	Route{
		"PrivateAuthorDetails",
		strings.ToUpper("Get"),
		"/v2/account/authors/{author_id}",
		PrivateAuthorDetails,
	},

	Route{
		"PrivateAuthorsSearch",
		strings.ToUpper("Post"),
		"/v2/account/authors/search",
		PrivateAuthorsSearch,
	},

	Route{
		"CollectionArticles",
		strings.ToUpper("Get"),
		"/v2/collections/{collection_id}/articles",
		CollectionArticles,
	},

	Route{
		"CollectionDetails",
		strings.ToUpper("Get"),
		"/v2/collections/{collection_id}",
		CollectionDetails,
	},

	Route{
		"CollectionVersionDetails",
		strings.ToUpper("Get"),
		"/v2/collections/{collection_id}/versions/{version_id}",
		CollectionVersionDetails,
	},

	Route{
		"CollectionVersions",
		strings.ToUpper("Get"),
		"/v2/collections/{collection_id}/versions",
		CollectionVersions,
	},

	Route{
		"CollectionsList",
		strings.ToUpper("Get"),
		"/v2/collections",
		CollectionsList,
	},

	Route{
		"CollectionsSearch",
		strings.ToUpper("Post"),
		"/v2/collections/search",
		CollectionsSearch,
	},

	Route{
		"PrivateCollectionArticleDelete",
		strings.ToUpper("Delete"),
		"/v2/account/collections/{collection_id}/articles/{article_id}",
		PrivateCollectionArticleDelete,
	},

	Route{
		"PrivateCollectionArticlesAdd",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/articles",
		PrivateCollectionArticlesAdd,
	},

	Route{
		"PrivateCollectionArticlesList",
		strings.ToUpper("Get"),
		"/v2/account/collections/{collection_id}/articles",
		PrivateCollectionArticlesList,
	},

	Route{
		"PrivateCollectionArticlesReplace",
		strings.ToUpper("Put"),
		"/v2/account/collections/{collection_id}/articles",
		PrivateCollectionArticlesReplace,
	},

	Route{
		"PrivateCollectionAuthorDelete",
		strings.ToUpper("Delete"),
		"/v2/account/collections/{collection_id}/authors/{author_id}",
		PrivateCollectionAuthorDelete,
	},

	Route{
		"PrivateCollectionAuthorsAdd",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/authors",
		PrivateCollectionAuthorsAdd,
	},

	Route{
		"PrivateCollectionAuthorsList",
		strings.ToUpper("Get"),
		"/v2/account/collections/{collection_id}/authors",
		PrivateCollectionAuthorsList,
	},

	Route{
		"PrivateCollectionAuthorsReplace",
		strings.ToUpper("Put"),
		"/v2/account/collections/{collection_id}/authors",
		PrivateCollectionAuthorsReplace,
	},

	Route{
		"PrivateCollectionCategoriesAdd",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/categories",
		PrivateCollectionCategoriesAdd,
	},

	Route{
		"PrivateCollectionCategoriesList",
		strings.ToUpper("Get"),
		"/v2/account/collections/{collection_id}/categories",
		PrivateCollectionCategoriesList,
	},

	Route{
		"PrivateCollectionCategoriesReplace",
		strings.ToUpper("Put"),
		"/v2/account/collections/{collection_id}/categories",
		PrivateCollectionCategoriesReplace,
	},

	Route{
		"PrivateCollectionCategoryDelete",
		strings.ToUpper("Delete"),
		"/v2/account/collections/{collection_id}/categories/{category_id}",
		PrivateCollectionCategoryDelete,
	},

	Route{
		"PrivateCollectionCreate",
		strings.ToUpper("Post"),
		"/v2/account/collections",
		PrivateCollectionCreate,
	},

	Route{
		"PrivateCollectionDelete",
		strings.ToUpper("Delete"),
		"/v2/account/collections/{collection_id}",
		PrivateCollectionDelete,
	},

	Route{
		"PrivateCollectionDetails",
		strings.ToUpper("Get"),
		"/v2/account/collections/{collection_id}",
		PrivateCollectionDetails,
	},

	Route{
		"PrivateCollectionPrivateLinkCreate",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/private_links",
		PrivateCollectionPrivateLinkCreate,
	},

	Route{
		"PrivateCollectionPrivateLinkDelete",
		strings.ToUpper("Delete"),
		"/v2/account/collections/{collection_id}/private_links/{link_id}",
		PrivateCollectionPrivateLinkDelete,
	},

	Route{
		"PrivateCollectionPrivateLinkUpdate",
		strings.ToUpper("Put"),
		"/v2/account/collections/{collection_id}/private_links/{link_id}",
		PrivateCollectionPrivateLinkUpdate,
	},

	Route{
		"PrivateCollectionPrivateLinksList",
		strings.ToUpper("Get"),
		"/v2/account/collections/{collection_id}/private_links",
		PrivateCollectionPrivateLinksList,
	},

	Route{
		"PrivateCollectionPublish",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/publish",
		PrivateCollectionPublish,
	},

	Route{
		"PrivateCollectionReserveDoi",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/reserve_doi",
		PrivateCollectionReserveDoi,
	},

	Route{
		"PrivateCollectionReserveHandle",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/reserve_handle",
		PrivateCollectionReserveHandle,
	},

	Route{
		"PrivateCollectionResource",
		strings.ToUpper("Post"),
		"/v2/account/collections/{collection_id}/resource",
		PrivateCollectionResource,
	},

	Route{
		"PrivateCollectionUpdate",
		strings.ToUpper("Put"),
		"/v2/account/collections/{collection_id}",
		PrivateCollectionUpdate,
	},

	Route{
		"PrivateCollectionsList",
		strings.ToUpper("Get"),
		"/v2/account/collections",
		PrivateCollectionsList,
	},

	Route{
		"PrivateCollectionsSearch",
		strings.ToUpper("Post"),
		"/v2/account/collections/search",
		PrivateCollectionsSearch,
	},

	Route{
		"AccountInstitutionCuration",
		strings.ToUpper("Get"),
		"/v2/account/institution/review/{curation_id}",
		AccountInstitutionCuration,
	},

	Route{
		"AccountInstitutionCurationComments",
		strings.ToUpper("Get"),
		"/v2/account/institution/review/{curation_id}/comments",
		AccountInstitutionCurationComments,
	},

	Route{
		"AccountInstitutionCurationComments_0",
		strings.ToUpper("Post"),
		"/v2/account/institution/review/{curation_id}/comments",
		AccountInstitutionCurationComments_0,
	},

	Route{
		"AccountInstitutionCurations",
		strings.ToUpper("Get"),
		"/v2/account/institution/reviews",
		AccountInstitutionCurations,
	},

	Route{
		"CustomFieldsList",
		strings.ToUpper("Get"),
		"/v2/account/institution/custom_fields",
		CustomFieldsList,
	},

	Route{
		"CustomFieldsUpload",
		strings.ToUpper("Post"),
		"/v2/account/institution/custom_fields/{custom_field_id}/items/upload",
		CustomFieldsUpload,
	},

	Route{
		"InstitutionArticles",
		strings.ToUpper("Get"),
		"/v2/institutions/{institution_string_id}/articles/filter-by",
		InstitutionArticles,
	},

	Route{
		"InstitutionHrfeedUpload",
		strings.ToUpper("Post"),
		"/v2/institution/hrfeed/upload",
		InstitutionHrfeedUpload,
	},

	Route{
		"PrivateAccountInstitutionUser",
		strings.ToUpper("Get"),
		"/v2/account/institution/users/{account_id}",
		PrivateAccountInstitutionUser,
	},

	Route{
		"PrivateCategoriesList",
		strings.ToUpper("Get"),
		"/v2/account/categories",
		PrivateCategoriesList,
	},

	Route{
		"PrivateGroupEmbargoOptionsDetails",
		strings.ToUpper("Get"),
		"/v2/account/institution/groups/{group_id}/embargo_options",
		PrivateGroupEmbargoOptionsDetails,
	},

	Route{
		"PrivateInstitutionAccountGroupRoleDelete",
		strings.ToUpper("Delete"),
		"/v2/account/institution/roles/{account_id}/{group_id}/{role_id}",
		PrivateInstitutionAccountGroupRoleDelete,
	},

	Route{
		"PrivateInstitutionAccountGroupRoles",
		strings.ToUpper("Get"),
		"/v2/account/institution/roles/{account_id}",
		PrivateInstitutionAccountGroupRoles,
	},

	Route{
		"PrivateInstitutionAccountGroupRolesCreate",
		strings.ToUpper("Post"),
		"/v2/account/institution/roles/{account_id}",
		PrivateInstitutionAccountGroupRolesCreate,
	},

	Route{
		"PrivateInstitutionAccountsCreate",
		strings.ToUpper("Post"),
		"/v2/account/institution/accounts",
		PrivateInstitutionAccountsCreate,
	},

	Route{
		"PrivateInstitutionAccountsList",
		strings.ToUpper("Get"),
		"/v2/account/institution/accounts",
		PrivateInstitutionAccountsList,
	},

	Route{
		"PrivateInstitutionAccountsSearch",
		strings.ToUpper("Post"),
		"/v2/account/institution/accounts/search",
		PrivateInstitutionAccountsSearch,
	},

	Route{
		"PrivateInstitutionAccountsUpdate",
		strings.ToUpper("Put"),
		"/v2/account/institution/accounts/{account_id}",
		PrivateInstitutionAccountsUpdate,
	},

	Route{
		"PrivateInstitutionArticles",
		strings.ToUpper("Get"),
		"/v2/account/institution/articles",
		PrivateInstitutionArticles,
	},

	Route{
		"PrivateInstitutionDetails",
		strings.ToUpper("Get"),
		"/v2/account/institution",
		PrivateInstitutionDetails,
	},

	Route{
		"PrivateInstitutionEmbargoOptionsDetails",
		strings.ToUpper("Get"),
		"/v2/account/institution/embargo_options",
		PrivateInstitutionEmbargoOptionsDetails,
	},

	Route{
		"PrivateInstitutionGroupsList",
		strings.ToUpper("Get"),
		"/v2/account/institution/groups",
		PrivateInstitutionGroupsList,
	},

	Route{
		"PrivateInstitutionRolesList",
		strings.ToUpper("Get"),
		"/v2/account/institution/roles",
		PrivateInstitutionRolesList,
	},

	Route{
		"CategoriesList",
		strings.ToUpper("Get"),
		"/v2/categories",
		CategoriesList,
	},

	Route{
		"FileDownload",
		strings.ToUpper("Get"),
		"/v2/file/download/{file_id}",
		FileDownload,
	},

	Route{
		"ItemTypesList",
		strings.ToUpper("Get"),
		"/v2/item_types",
		ItemTypesList,
	},

	Route{
		"LicensesList",
		strings.ToUpper("Get"),
		"/v2/licenses",
		LicensesList,
	},

	Route{
		"PrivateAccount",
		strings.ToUpper("Get"),
		"/v2/account",
		PrivateAccount,
	},

	Route{
		"PrivateFundingSearch",
		strings.ToUpper("Post"),
		"/v2/account/funding/search",
		PrivateFundingSearch,
	},

	Route{
		"PrivateLicensesList",
		strings.ToUpper("Get"),
		"/v2/account/licenses",
		PrivateLicensesList,
	},

	Route{
		"PrivateProjectArticleDelete",
		strings.ToUpper("Delete"),
		"/v2/account/projects/{project_id}/articles/{article_id}",
		PrivateProjectArticleDelete,
	},

	Route{
		"PrivateProjectArticleDetails",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/articles/{article_id}",
		PrivateProjectArticleDetails,
	},

	Route{
		"PrivateProjectArticleFile",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/articles/{article_id}/files/{file_id}",
		PrivateProjectArticleFile,
	},

	Route{
		"PrivateProjectArticleFiles",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/articles/{article_id}/files",
		PrivateProjectArticleFiles,
	},

	Route{
		"PrivateProjectArticlesCreate",
		strings.ToUpper("Post"),
		"/v2/account/projects/{project_id}/articles",
		PrivateProjectArticlesCreate,
	},

	Route{
		"PrivateProjectArticlesList",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/articles",
		PrivateProjectArticlesList,
	},

	Route{
		"PrivateProjectCollaboratorDelete",
		strings.ToUpper("Delete"),
		"/v2/account/projects/{project_id}/collaborators/{user_id}",
		PrivateProjectCollaboratorDelete,
	},

	Route{
		"PrivateProjectCollaboratorsInvite",
		strings.ToUpper("Post"),
		"/v2/account/projects/{project_id}/collaborators",
		PrivateProjectCollaboratorsInvite,
	},

	Route{
		"PrivateProjectCollaboratorsList",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/collaborators",
		PrivateProjectCollaboratorsList,
	},

	Route{
		"PrivateProjectCreate",
		strings.ToUpper("Post"),
		"/v2/account/projects",
		PrivateProjectCreate,
	},

	Route{
		"PrivateProjectDelete",
		strings.ToUpper("Delete"),
		"/v2/account/projects/{project_id}",
		PrivateProjectDelete,
	},

	Route{
		"PrivateProjectDetails",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}",
		PrivateProjectDetails,
	},

	Route{
		"PrivateProjectLeave",
		strings.ToUpper("Post"),
		"/v2/account/projects/{project_id}/leave",
		PrivateProjectLeave,
	},

	Route{
		"PrivateProjectNote",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/notes/{note_id}",
		PrivateProjectNote,
	},

	Route{
		"PrivateProjectNoteDelete",
		strings.ToUpper("Delete"),
		"/v2/account/projects/{project_id}/notes/{note_id}",
		PrivateProjectNoteDelete,
	},

	Route{
		"PrivateProjectNoteUpdate",
		strings.ToUpper("Put"),
		"/v2/account/projects/{project_id}/notes/{note_id}",
		PrivateProjectNoteUpdate,
	},

	Route{
		"PrivateProjectNotesCreate",
		strings.ToUpper("Post"),
		"/v2/account/projects/{project_id}/notes",
		PrivateProjectNotesCreate,
	},

	Route{
		"PrivateProjectNotesList",
		strings.ToUpper("Get"),
		"/v2/account/projects/{project_id}/notes",
		PrivateProjectNotesList,
	},

	Route{
		"PrivateProjectPublish",
		strings.ToUpper("Post"),
		"/v2/account/projects/{project_id}/publish",
		PrivateProjectPublish,
	},

	Route{
		"PrivateProjectUpdate",
		strings.ToUpper("Put"),
		"/v2/account/projects/{project_id}",
		PrivateProjectUpdate,
	},

	Route{
		"PrivateProjectsList",
		strings.ToUpper("Get"),
		"/v2/account/projects",
		PrivateProjectsList,
	},

	Route{
		"PrivateProjectsSearch",
		strings.ToUpper("Post"),
		"/v2/account/projects/search",
		PrivateProjectsSearch,
	},

	Route{
		"ProjectArticles",
		strings.ToUpper("Get"),
		"/v2/projects/{project_id}/articles",
		ProjectArticles,
	},

	Route{
		"ProjectDetails",
		strings.ToUpper("Get"),
		"/v2/projects/{project_id}",
		ProjectDetails,
	},

	Route{
		"ProjectsList",
		strings.ToUpper("Get"),
		"/v2/projects",
		ProjectsList,
	},

	Route{
		"ProjectsSearch",
		strings.ToUpper("Post"),
		"/v2/projects/search",
		ProjectsSearch,
	},
}
